# 常用软件整理

## 代码&文档编辑器部分

Code

| 软件                     | 用途                                 | 是否开源 |
| ---------------------- | ---------------------------------- | ---- |
| VSCode                 | C#工程项目管理，Godot工程项目管理，lua&C++相关项目管理 | 是    |
| VisualStudio Community | Unity工程项目管理，.Net&Winform项目管理       | 否    |
| AndroidStudio          | Android项目打包，Android插件&项目管理         | 否    |
| Vim                    | Linux非图形界面编码，修改文本类数据               | 是    |
| 待补充                    |                                    |      |

文档

| 软件           | 用途                  | 是否开源 |
| ------------ | ------------------- | ---- |
| Vim          | Linux环境下文档编写&配置修改   | 是    |
| MarkText     | Markdown文档编写        | 是    |
| LibOffice    | Linux环境下的Office办公软件 | 是    |
| Sublime Text | 轻量级的文本编辑器           | 否    |
| 待补充          |                     |      |

## 商业引擎

游戏引擎

| 软件       | 用途                                                                        | 是否开源         |
| -------- | ------------------------------------------------------------------------- | ------------ |
| Unreal 5 | 大型3D游戏项目，工业孪生项目开发，需要高性能的PC设备才能运行，对Linux平台支持未知。                            | 免费使用，营收超额需付费 |
| Unity    | 中小型3D游戏项目，工业孪生项目开发，支持WebGL，安卓，IOS打包部署，对Linux平台支持较差。                       | 否（付费）        |
| Godot    | 服务端，客户端，小型3D游戏项目，大型2D项目，支持WebGL，安卓，IOS打包部署，对Linux平台支持较好，打包的程序可以控制台模式后台运行。 | 是（免费）        |

原生开发

| 软件             | 用途                          | 是否开源 |
| -------------- | --------------------------- | ---- |
| Android Studio | 原生安卓开发，只能开发安卓平台项目，对安卓平台支持最好 | 是    |

## 艺术设计

平面设计

| 软件        | 用途                         | 是否开源 |
| --------- | -------------------------- | ---- |
| photoShop | 平面设计商业软件                   | 否    |
| Inkscape  | SVG绘图工具                    | 否    |
| GIMP      | 开源版的Photoshop，相关操作以及插件略有不同 | 是    |
| SAI       | 商业插画工具，需要5500日元购买          | 否    |
| Krita     | 开源免费的插画工具                  | 是    |
| Aseprite  | 开源的像素画制作工具                 | 是    |
|           |                            |      |

3D设计

| 软件         | 用途                   | 是否开源 |
| ---------- | -------------------- | ---- |
| Blender    | 建模，渲染，贴图，动画一体的开源软件   | 是    |
| SubPainter | UV贴图绘制工具             | 否    |
| 3DMax      | 建模动画一体的商业软件          | 否    |
| CAD        | 建模绘图工具（可用于定制相关3D打印）  | 否    |
| FreeCAD    | 免费开源的3D建模工具（可用于3D打印） | 是    |
| Maya       | 著名商业高精度建模动画软件        | 否    |
| C4D        | 商业建模软件               | 否    |
|            |                      |      |

影音工具

| 软件               | 用途                  | 是否开源 |
| ---------------- | ------------------- | ---- |
| PortPlayer       | 免费使用的视频播放器          | 否    |
| ffmpeg           | 开源的视频影音处理工具         | 是    |
| ffplayer         | 开源免费的播放器            | 是    |
| OpenShot         | 开源免费的影音剪辑工具         | 是    |
| Premier Pro (PR) | Adobe 公司的专业剪辑商用软件   | 否    |
| After Effect（AE） | Adobe 公司的专业视频后期商用软件 | 否    |

音乐工具

| 软件            | 用途                | 是否开源 |
| ------------- | ----------------- | ---- |
| Audition (Au) | Adobe 公司的专业混音商业软件 | 否    |
| Fl Studio     | 商业音乐混合工具          | 否    |
| FamiStudio    | 8bit音乐用的开源制作工具    | 是    |

## 远程工具部分

SSH

putty部分

[Download PuTTY](https://www.putty.org/)

| 软件       | 用途         | 是否开源 |
| -------- | ---------- | ---- |
| putty    | SSH远程软件    | 是    |
| pscp     | SCP远程软件    | 是    |
| psftp    | SFTP远程软件   | 是    |
| puttytel | 仅Telnet软件  | 是    |
| plink    | putty命令行工具 | 是    |
| pageant  |            |      |
| puttygen |            |      |
| pterm    |            |      |

XShell部分

| 软件     | 用途       | 是否开源 |
| ------ | -------- | ---- |
| XShell | SSH远程软件  | 否    |
| XFtp   | SFtp远程软件 | 否    |

WabDav部分

| 软件        | 用途                    | 是否开源 |
| --------- | --------------------- | ---- |
| WinSCP    | SFTP，SCP，WebDav文件管理工具 | 是    |
| Cloudreve | WebDav网盘服务            | 是    |

串口&TCP&UDP调试助手

| 软件       | 用途                       | 是否开源 |
| -------- | ------------------------ | ---- |
| sscom    | 串口、TCP、UDP调试工具           | 否    |
| putty    | 串口开发板调试                  | 是    |
| Mthings  | Modbus协议调试助手，支持TCP跟RTU协议 | 否    |
| ESPlorer | NodeMCU项目串口调试助手          | 是    |

网络工具

| 软件        | 用途                                   | 是否开源 |
| --------- | ------------------------------------ | ---- |
| net-tools | Linux下的软件调试工具，绑定ifconfig，netstat等等命令 | 是    |
| LightBlue | 安卓系统下的蓝牙调试工具                         | 未知   |
| NMap      | 网络端口，IP嗅探工具                          | 是    |
| nmcli     | Linux下的网络配置工具，用于配置IP，DNS等等（默认自带）     | 是    |
| UFW       | Ubuntu系统下的防火墙                        | 是    |

数据库工具

| 软件                    | 用途             | 是否开源 |
| --------------------- | -------------- | ---- |
| Navicat               | 商业的数据库工具       | 否    |
| Beekeeper Studio（首选）  | 开源免费的数据库管理工具   | 是    |
| DBeaver Community     | 免费的数据库可视化工具    | 未知   |
| DB Browser for SQLite | Sqlite数据库可视化工具 | 是    |
| LiteDbExplorer        | LiteDB数据库可视化工具 | 是    |

端口映射工具（内网穿透参考）

| 软件      | 用途             | 是否开源 |
| ------- | -------------- | ---- |
| frps    | 外网端口映射工具（服务器端） | 是    |
| frpc    | 外网端口映射工具（客户端）  | 是    |
| Openfrp | 免费端口映射工具       | 未知   |

代理工具

| 软件    | 用途    | 是否开源 |
| ----- | ----- | ---- |
| Clash | 服务器代理 | 是    |

MQTT工具

| 软件    | 用途               | 是否开源 |
| ----- | ---------------- | ---- |
| emqx  | Linux环境下的mqtt服务端 | 是    |
| mqttx | mqtt客户端          | 是    |

Bacnet工具

待补充

## 固件&系统烧录工具

操作系统

| 软件                  | 用途                 | 是否开源 |
| ------------------- | ------------------ | ---- |
| Etcher              | 烧录系统镜像，部分香橙派操作系统烧录 | 是    |
| Raspberry Pi Imager | 树莓派系统烧录，功能包括格式化内存卡 | 是    |
|                     |                    |      |

固件&开发板烧录

8266固件烧录工具下载地址：[工具｜乐鑫科技](https://www.espressif.com.cn/zh-hans/support/download/other-tools)

| 软件                          | 用途                | 是否开源 |
| --------------------------- | ----------------- | ---- |
| ESP8266 Flash Download Tool | ES8266，ESP32固件烧录用 | 是    |
| Arduino                     | 单片机开发平台           | 未知   |
| CMake                       | C语言程序打包           | 是    |
